export default ({
  service,
  request,
  serviceForMock,
  requestForMock,
  mock,
  faker,
  tools
}) => ({
  GET(url, params) {
    return request({
      url: url,
      method: 'GET',
      params
    })
  },
  POST(url, data) {
    return request({
      url: url,
      method: 'POST',
      data
    })
  },
  PUT(url, params) {
    return request({
      url: url,
      method: 'PUT',
      params
    })
  }

})
